=== modified file 'Makefile.am'
--- Makefile.am	2009-03-05 20:19:06 +0000
+++ Makefile.am	2009-03-18 18:45:23 +0000
@@ -103,7 +103,11 @@
 
 test-drizzle:
 	cd tests ; \
-	$(MAKE) $(AM_MAKEFLAGS) test 
+	$(MAKE) $(AM_MAKEFLAGS) test-drizzle
+
+test-big:
+	cd tests ; \
+	$(MAKE) $(AM_MAKEFLAGS) test-big
 
 doxygen:
 	doxygen Doxyfile

=== modified file 'tests/Makefile.am'
--- tests/Makefile.am	2009-01-21 23:38:47 +0000
+++ tests/Makefile.am	2009-03-18 18:45:23 +0000
@@ -77,28 +77,8 @@
 
 
 .PHONY: test \
-    test-force \
-    test-full \
-    test-force-full \
-    test-force-mem \
-    test-pl \
-    test-force-pl \
-    test-full-pl \
-    test-force-full-pl \
-    test-force-pl-mem \
-    test-ps test-nr \
-    test-pr test-ns \
-    test-binlog-statement \
-    test-ext-funcs \
-    test-ext-rpl \
-    test-ext-jp \
-    test-ext-stress \
-    test-ext \
-    test-embedded \
-    test-fast \
-    test-fast-cursor \
-    test-fast-view \
-    test-full-qa
+	test-drizzle \
+	test-big
 
 # Target 'test' will run the regression test suite using the built server.
 #
@@ -116,5 +96,8 @@
 test-drizzle:
 	  $(TEST_RUN) --fast --force --suite=main,vcol
 
+test-big:
+	  $(TEST_RUN) --fast --force --big-test --suite=big
+
 distclean-local:
 	rm -rf var

=== removed file 'tests/r/alter_table-big.result'
--- tests/r/alter_table-big.result	2009-01-07 19:58:23 +0000
+++ tests/r/alter_table-big.result	1970-01-01 00:00:00 +0000
@@ -1,57 +0,0 @@
-drop table if exists t1, t2;
-create table t1 (n1 int, n2 int, n3 int,
-key (n1, n2, n3),
-key (n2, n3, n1),
-key (n3, n1, n2));
-create table t2 (i int);
-alter table t1 disable keys;
-insert into t1 values (RAND()*1000, RAND()*1000, RAND()*1000);
-reset master;
-set session debug="+d,sleep_alter_enable_indexes";
-alter table t1 enable keys;;
-insert into t2 values (1);
-insert into t1 values (1, 1, 1);
-set session debug="-d,sleep_alter_enable_indexes";
-show binlog events in 'master-bin.000001' from 106;
-Log_name	Pos	Event_type	Server_id	End_log_pos	Info
-master-bin.000001	#	Query	1	#	use `test`; insert into t2 values (1)
-master-bin.000001	#	Query	1	#	use `test`; alter table t1 enable keys
-master-bin.000001	#	Query	1	#	use `test`; insert into t1 values (1, 1, 1)
-drop tables t1, t2;
-End of 5.0 tests
-drop table if exists t1, t2, t3;
-create table t1 (i int);
-reset master;
-set session debug="+d,sleep_alter_before_main_binlog";
-alter table t1 change i c char(10) default 'Test1';;
-insert into t1 values ();
-select * from t1;
-c
-Test1
-alter table t1 change c vc varchar(100) default 'Test2';;
-rename table t1 to t2;
-drop table t2;
-create table t1 (i int);
-alter table t1 change i c char(10) default 'Test3', rename to t2;;
-insert into t2 values ();
-select * from t2;
-c
-Test3
-alter table t2 change c vc varchar(100) default 'Test2', rename to t1;;
-rename table t1 to t3;
-drop table t3;
-set session debug="-d,sleep_alter_before_main_binlog";
-show binlog events in 'master-bin.000001' from 106;
-Log_name	Pos	Event_type	Server_id	End_log_pos	Info
-master-bin.000001	#	Query	1	#	use `test`; alter table t1 change i c char(10) default 'Test1'
-master-bin.000001	#	Query	1	#	use `test`; insert into t1 values ()
-master-bin.000001	#	Query	1	#	use `test`; alter table t1 change c vc varchar(100) default 'Test2'
-master-bin.000001	#	Query	1	#	use `test`; rename table t1 to t2
-master-bin.000001	#	Query	1	#	use `test`; drop table t2
-master-bin.000001	#	Query	1	#	use `test`; create table t1 (i int)
-master-bin.000001	#	Query	1	#	use `test`; alter table t1 change i c char(10) default 'Test3', rename to t2
-master-bin.000001	#	Query	1	#	use `test`; insert into t2 values ()
-master-bin.000001	#	Query	1	#	use `test`; alter table t2 change c vc varchar(100) default 'Test2', rename to t1
-master-bin.000001	#	Query	1	#	use `test`; rename table t1 to t3
-master-bin.000001	#	Query	1	#	use `test`; drop table t3
-End of 5.1 tests

=== added directory 'tests/suite/big'
=== added directory 'tests/suite/big/r'
=== renamed file 'tests/r/archive-big.result' => 'tests/suite/big/r/archive-big.result'
=== renamed file 'tests/r/concurrent_innodb.result' => 'tests/suite/big/r/concurrent_innodb.result'
=== renamed file 'tests/r/read_many_rows_innodb.result' => 'tests/suite/big/r/read_many_rows_innodb.result'
=== renamed file 'tests/r/sum_distinct-big.result' => 'tests/suite/big/r/sum_distinct-big.result'
=== renamed file 'tests/r/variables-big.result' => 'tests/suite/big/r/variables-big.result'
=== added directory 'tests/suite/big/t'
=== renamed file 'tests/t/archive-big.test' => 'tests/suite/big/t/archive-big.test'
=== renamed file 'tests/t/concurrent_innodb.test' => 'tests/suite/big/t/concurrent_innodb.test'
=== renamed file 'tests/t/read_many_rows_innodb.test' => 'tests/suite/big/t/read_many_rows_innodb.test'
=== renamed file 'tests/t/sum_distinct-big.test' => 'tests/suite/big/t/sum_distinct-big.test'
=== renamed file 'tests/t/variables-big.test' => 'tests/suite/big/t/variables-big.test'
=== removed file 'tests/t/alter_table-big.test'
--- tests/t/alter_table-big.test	2009-01-07 19:58:23 +0000
+++ tests/t/alter_table-big.test	1970-01-01 00:00:00 +0000
@@ -1,110 +0,0 @@
-#
-# Tests for various concurrency-related aspects of ALTER TABLE implemetation
-#
-# This test takes rather long time so let us run it only in --big-test mode
---source include/big_test.inc
-# Also we are using SBR to check that statements are executed
-# in proper order.
---source include/have_binlog_format_row.inc
-
-
-#
-# Test for bug #25044 "ALTER TABLE ... ENABLE KEYS acquires global
-# 'opening tables' lock".
-#
-# ALTER TABLE ... ENABLE KEYS should not acquire LOCK_open mutex for
-# the whole its duration as it prevents other queries from execution.
---disable_warnings
-drop table if exists t1, t2;
---enable_warnings
-connect (addconroot, localhost, root,,);
-connection default;
-create table t1 (n1 int, n2 int, n3 int,
-                key (n1, n2, n3),
-                key (n2, n3, n1),
-                key (n3, n1, n2));
-create table t2 (i int);
-
-# Starting from 5.1 we have runtime settable @@debug variable,
-# which can be used for introducing delays at certain points of
-# statement execution, so we don't need many rows in 't1' to make
-# this test repeatable.
-alter table t1 disable keys;
-insert into t1 values (RAND()*1000, RAND()*1000, RAND()*1000);
-
-# Later we use binlog to check the order in which statements are
-# executed so let us reset it first.
-reset master;
---send alter table t1 enable keys;
-connection addconroot;
---sleep 2
-# This statement should not be blocked by in-flight ALTER and therefore
-# should be executed and written to binlog before ALTER TABLE ... ENABLE KEYS
-# finishes.
-insert into t2 values (1);
-# And this should wait until the end of ALTER TABLE ... ENABLE KEYS.
-insert into t1 values (1, 1, 1);
-connection default;
---reap
-# Check that statements were executed/binlogged in correct order.
---replace_column 2 # 5 #
-show binlog events in 'master-bin.000001' from 106;
-
-# Clean up
-drop tables t1, t2;
-
-
---echo End of 5.0 tests
-
-#
-# Additional coverage for the main ALTER TABLE case
-#
-# We should be sure that table being altered is properly
-# locked during statement execution and in particular that
-# no DDL or DML statement can sneak in and get access to
-# the table when real operation has already taken place
-# but this fact has not been noted in binary log yet.
---disable_warnings
-drop table if exists t1, t2, t3;
---enable_warnings
-create table t1 (i int);
-# We are going to check that statements are logged in correct order
-reset master;
---send alter table t1 change i c char(10) default 'Test1';
-connection addconroot;
---sleep 2
-insert into t1 values ();
-select * from t1;
-connection default;
---reap
---send alter table t1 change c vc varchar(100) default 'Test2';
-connection addconroot;
---sleep 2
-rename table t1 to t2;
-connection default;
---reap
-drop table t2;
-# And now tests for ALTER TABLE with RENAME clause. In this
-# case target table name should be properly locked as well.
-create table t1 (i int);
---send alter table t1 change i c char(10) default 'Test3', rename to t2;
-connection addconroot;
---sleep 2
-insert into t2 values ();
-select * from t2;
-connection default;
---reap
---send alter table t2 change c vc varchar(100) default 'Test2', rename to t1;
-connection addconroot;
---sleep 2
-rename table t1 to t3;
-connection default;
---reap
-drop table t3;
-
-# Check that all statements were logged in correct order
---replace_column 2 # 5 #
-show binlog events in 'master-bin.000001' from 106;
-
-
---echo End of 5.1 tests

